• Desenvolvedores Apache Tomcat Aconselham Atualizações Para Evitar Ataques DoS

    Os desenvolvedores do Apache Tomcat, estão aconselhando os usuários dos ramos 7.0.x, 6.0.x e 5.5.x do servlet container Java e JSP para atualizar para as últimas versões lançadas, a 7.0.23, 6.0.35 e a 5.5.35. Este aviso foi porque recentes investigações, revelaram ineficiências na forma como um grande número de parâmetros e valores de parâmetros foram tratados pelo Tomcat.

    A análise da recente colisão de hash denial-of-service (DoS), havia permitido que os desenvolvedores identificassem todas as "ineficiências alheias", que podem ser exploradas por um pedido especialmente criado, fazendo com que grandes quantidades de CPU sejam ser consumidas. Para resolver o problema, os desenvolvedores modificaram o código para processar eficientemente um grande número de parâmetros e valores.

    O projeto foi discretamente liberando as correções ao código do Tomcat; o ramo 7.0.23 apareceu no final de novembro de 2011, e o 6.0.35 chegou no início de dezembro. Agora que eles lançaram uma atualização para a última das versões suportadas atualmente, a 5.5.35, os desenvolvedores têm publicado seus "advisory". Usuários que podem baixar a versão atualizada a partir do site do Tom Cat.


    Saiba Mais:

    [1] TomCat http://tomcat.apache.org/

    Sobre o Autor: Camilla Lemke


Visite: BR-Linux ·  VivaOLinux ·  Dicas-L